Bug 151070 - Consistency between dependent objects
Summary: Consistency between dependent objects
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.1.8.1 release
Hardware: All All
: medium enhancement
Assignee: Adolfo Jayme Barrientos
URL: https://t.me/libreoffice_es/75195
Whiteboard: target:7.5.0
Keywords:
Depends on:
Blocks: Writer-Styles-Page
  Show dependency treegraph
 
Reported: 2022-09-19 21:37 UTC by Leandro Martín Drudi
Modified: 2022-09-22 20:45 UTC (History)
0 users

See Also:
Crash report or crash signature:
Regression By:


Attachments
This is the current order of the objects. (30.78 KB, image/png)
2022-09-19 21:38 UTC, Leandro Martín Drudi
Details
Suggested change (39.78 KB, image/png)
2022-09-19 21:38 UTC, Leandro Martín Drudi
Details
Other settings that maintain consistency in the same dialog box. (14.14 KB, image/png)
2022-09-19 21:40 UTC, Leandro Martín Drudi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Leandro Martín Drudi 2022-09-19 21:37:40 UTC
Description:
When there are dependent objects, the main one is above and the dependent ones below. Some remain disabled until a certain value is selected in the main object, and even appear further to the right of the main object denoting that it is dependent on the topmost object.
I have noticed that this is not true in Writer's page style settings. The dependent object "Reference Style", which depends on the "Use page line-spacing" checkbox being checked, would not be respecting this consistency.

Steps to Reproduce:
1. Open LibreOffice.
2. Select Writer document
3. Edit or create a new page style.
4. Click on the Page tab.
5. Check 'Use page line-spacing'.
6. The Reference style combobox is enabled.
---
7. Uncheck 'Use page line-spacing'.
8. The Reference style combobox is disabled.

Actual Results:
The 'Use page line-spacing' checkbox is is below 'Reference style' combobox which is dependent on the state of the checkbox

Expected Results:
The check box 'Use page line-spacing' should be moved above the combo box 'Reference style'.


Reproducible: Always


User Profile Reset: Yes



Additional Info:
This would maintain consistency with respect to other dependent objects, even within the same dialog box.
Comment 1 Leandro Martín Drudi 2022-09-19 21:38:24 UTC
Created attachment 182555 [details]
This is the current order of the objects.
Comment 2 Leandro Martín Drudi 2022-09-19 21:38:47 UTC
Created attachment 182556 [details]
Suggested change
Comment 3 Leandro Martín Drudi 2022-09-19 21:40:30 UTC
Created attachment 182557 [details]
Other settings that maintain consistency in the same dialog box.

In order to select the transparency level, I must select the 'Transparency' option; to access the configuration of the other objects I must select 'Gradient'.
Comment 4 Commit Notification 2022-09-20 06:26:41 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6af41e0e55a578b3419737fc8aa9ab7757402cd5

tdf#151070 Leverage UI layout to show relation between buddy options

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Adolfo Jayme Barrientos 2022-09-20 06:31:09 UTC
Thanks for your report, Leandro!
Comment 6 stragu 2022-09-22 20:45:37 UTC
Issue was already present in:

Version: 7.1.8.1 / LibreOffice Community
Build ID: e1f30c802c3269a1d052614453f260e49458c82c
CPU threads: 8; OS: Linux 5.15; UI render: default; VCL: gtk3
Locale: en-AU (en_AU.UTF-8); UI: en-US
Calc: threaded

Verified as fixed in:

Version: 7.5.0.0.alpha0+ / LibreOffice Community
Build ID: 00c5b0ca9264c5440bc70a68c425127ba5a47003
CPU threads: 8; OS: Linux 5.15; UI render: default; VCL: gtk3
Locale: en-AU (en_AU.UTF-8); UI: en-US
Calc: threaded

Thanks Adolfo!